File

## Classes

class | regina::FileInfo
| Stores information about a Regina data file, including file type and version. More...
class | regina::GlobalDirs
| Provides global routines that return directories in which various components of Regina are installed on the system. More...
class | regina::XMLCallback
| Provides the callbacks for an XMLParser required to parse an entire file using a series of XMLElementReader objects. More...
class | regina::XMLElementReader
| Used to read the contents of a single XML element. More...
class | regina::XMLCharsReader
| A reader for an XML element that contains only characters. More...

## Typedefs

typedef FileInfo | regina::NFileInfo
| Deprecated typedef for backward compatibility. More...
typedef GlobalDirs | regina::NGlobalDirs
| Deprecated typedef for backward compatibility. More...

## Detailed Description

## Typedef Documentation

## NFileInfo

typedef FileInfo regina::NFileInfo

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NFileInfo has now been renamed to FileInfo.

## NGlobalDirs

typedef GlobalDirs regina::NGlobalDirs

Deprecated typedef for backward compatibility.

This typedef will be removed in a future release of Regina.

Deprecated:
  The class NGlobalDirs has now been renamed to GlobalDirs.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).